
QGIS Application - Bug report #20657

*Crash ID*: 90cda49984b18d03e442e659511e135af0f3228c

2018-11-28 02:26 PM - Martín Fernando Ortiz

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Windows Package

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28477

Description

User Feedback

QGIS Crashed when i make a zoom to selection. I m using QGIS 3.4.2 because i have the same problem at 3.4.1

Regards!

Report Details

Crash ID: 90cda49984b18d03e442e659511e135af0f3228c

Stack Trace

QgsCoordinateTransform::transformBoundingBox :

QgsMapRendererJob::reprojectToLayerExtent :

QgsMapRendererJob::prepareJobs :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererSequentialJob::start :

QgsMapCanvas::startPreviewJob :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-28 04:54 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try on a clean/new profile and do not install any 3rd party plugin.

If the problem persist then attach a project with data we can use to try replicate.

#2 - 2019-01-02 01:25 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
